### Enumeration

# GskLineJoin

since: 4.14

#### Declaration

    enum Gsk.LineJoin

#### Description [src]

Specifies how to render the junction of two lines when stroking.

The default line join style is `GSK_LINE_JOIN_MITER`.

New entries may be added in future versions.

GSK_LINE_JOINT_MITER, GSK_LINE_JOINT_ROUND, GSK_LINE_JOIN_BEVEL

Available since: 4.14

#### Members

`GSK_LINE_JOIN_MITER`

  Use a sharp angled corner.

  - Value: `0`
  - Nickname: `miter`
  - Available since: 4.14
`GSK_LINE_JOIN_ROUND`

  Use a round join, the center of the circle is the join point.

  - Value: `1`
  - Nickname: `round`
  - Available since: 4.14
`GSK_LINE_JOIN_BEVEL`

  Use a cut-off join, the join is cut off at half the line width from the joint point.

  - Value: `2`
  - Nickname: `bevel`
  - Available since: 4.14